Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Transport_Descriptor_Private_Connection_Property Class Reference

Descriptor Property for Private Connections. More...

`#include <RT_Transport_Descriptor_Property.h>`

Inheritance diagram for TAO_RT_Transport_Descriptor_Private_Connection_Property:

[legend]
Collaboration diagram for TAO_RT_Transport_Descriptor_Private_Connection_Property:

[legend]
List of all members.

## Public Methods
| TAO_RT_Transport_Descriptor_Private_Connection_Property (void)
| Constuctor.
| TAO_RT_Transport_Descriptor_Private_Connection_Property (long object_id)
| ~TAO_RT_Transport_Descriptor_Private_Connection_Property (void)
| Destructor.
void | init (long object_id)
| Init.
virtual TAO_RT_Transport_Descriptor_Property * | duplicate (void)
virtual CORBA::Boolean | is_equivalent (const TAO_RT_Transport_Descriptor_Property *other_prop)
## Private Attributes
long | object_id_

## Detailed Description

Descriptor Property for Private Connections.

Holds info necessary to identify private connections and store/look them up in the Transport Cache. (For description of private connections see RTCORBA::PrivateTransportPolicy.)

## Constructor & Destructor Documentation

ACE_INLINE TAO_RT_Transport_Descriptor_Private_Connection_Property::TAO_RT_Transport_Descriptor_Private_Connection_Property | ( | void |  | ) |

| Constuctor.

ACE_INLINE TAO_RT_Transport_Descriptor_Private_Connection_Property::TAO_RT_Transport_Descriptor_Private_Connection_Property | ( | long | object_id | ) |

TAO_RT_Transport_Descriptor_Private_Connection_Property::~TAO_RT_Transport_Descriptor_Private_Connection_Property | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_RT_Transport_Descriptor_Property * TAO_RT_Transport_Descriptor_Private_Connection_Property::duplicate | ( | void |  | ) | `[virtual]`

| Implements TAO_RT_Transport_Descriptor_Property.

ACE_INLINE void TAO_RT_Transport_Descriptor_Private_Connection_Property::init | ( | long | object_id | ) |

| Init.

CORBA::Boolean TAO_RT_Transport_Descriptor_Private_Connection_Property::is_equivalent | ( | const TAO_RT_Transport_Descriptor_Property * | other_prop | ) | `[virtual]`

| Implements TAO_RT_Transport_Descriptor_Property.

## Member Data Documentation

long TAO_RT_Transport_Descriptor_Private_Connection_Property::object_id_`[private]`

| Unique identifier of the object to which private connection identified with this descriptor belongs. The value of `object_id_` is the `TAO_Stub*` of the object.

The documentation for this class was generated from the following files:

- RT_Transport_Descriptor_Property.h
- RT_Transport_Descriptor_Property.cpp
- RT_Transport_Descriptor_Property.inl